Cannot collect stacks

Cannot collect stacks

I installed vtune_amplifier xe 2013 update3 in my HP Proliant DL380 G7 server with Xeon X5680 3.33 (2 sockets, each with 6 core CPU)

with RedHat (2.6.18-164.11.1.el5 #1 SMP) kernel

The installation was completed successfully except it warned that "The drivers for Power analysis require a Linux kernel version of 2.6.32 or higher and will be disabled".  Since I don't care about power analysis, as I'm going to turn all CPU to max power/performance model anyway, I ignored that (since my production environment won't use the newer kernel anyway)

However, when I tried run test with "collect stacks" option checked, I got the following:

"Advanced collection of call stacks and thread context switches cannot be enabled.  Make sure the driver is installed and you have permissions to access it"

I'm running the 64bit verison of amplxe-gui using root.  So, permissioning should not be an issue.  I don't know what driver is supposed to be installed and hence I can't check it.  Can anyone shred someone on how to check that?

Thank you very much in advance.

8 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

As I know, call stack info is only supported on kernel 2.6.28 or high, using vtsspp driver.

Thank you for your reply Peter.  That explains it.

Hi,

I am getting this error when I run Vtune:

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Command line:

[root@SNBWSRHEL6 bin64]# ./amplxe-cl -collect lightweight-hotspots -knob enable-stack-collection=true -knob enable-call-counts=true -knob enable-user-tasks=true -follow-child -mrte-mode=auto -target-duration-type=short -analyze-system -data-limit=100 -slow-frames-threshold=40 -fast-frames-threshold=100 --search-dir all=/usr/src/kernels/2.6.32-220.el6.x86_64 --search-dir all=/opt/xyz --result-dir= /usr/local/result1 --duration 60 --target-process xyz

Error Msg:

Error: Problem accessing the sampling driver. The driver may need to be (re)started. See Installing the Sampling Driver help topic to learn how to configure the sampling driver.

Warning: Advanced collection of call stacks and thread context switches cannot be enabled. Make sure the driver is installed and you have permissions to access it.

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

The system was working fine until recently and now this error is showing up. Rebooting hasn't helped. I am using vtune from command line and not using sep explicitly. I tried refering to this but can't find the command "amplxe-sepreg":

http://software.intel.com/sites/products/documentation/doclib/stdxe/2013/amplifierxe/win/ug_docs/index.htm#GUID-1FFA3D65-84FA-4426-AC78-7ADFAED1EC0B.htm

Can someone pls help me fix this asap?

Thanks,

Aditi

 

 

Go /opt/intel/vtune_amplifier_xe_2013/sepdk/src, do below then rerun amplxe-cl.

./build-driver

./insmod-sep3

./boot-script --install

Thanks! It works now. Actually I had done this procedure including putting off the watchdog timer long ago when I had started with the exercise. Why did I have to do this again?

If you ran "boot-script --install", next time vtune drivers will be loaded automatically when rebooting system.

If you added “nmi_watchdog=0” argument in /boot/grub/grub.conf, next time NMI watchdog timer will be disabled when rebooting system. ,

VTUNE is turning out to be a bit of a dog. I have used it in the past and it was fine but this version is not behaving well. I am trying to track down the reason that the anaysis is not being done and I found this thread with instructions about installing something that should have been done in the Intel install.

I suppose it's my fault for not using Windows and for relying on an up-to-date version of Ubuntu.

root@john-Latitude-D520:/opt/intel/vtune_amplifier_xe/sepdk/src# ./boot-script --install
Configuring sep3_8 boot script with the following options:
    driver files = /opt/intel/vtune_amplifier_xe/sepdk/src/.
Creating boot script /etc/init.d/sep3_8 ... done.
Configuring autoload of sep3_8 driver for runlevels 2 through 5 ... Traceback (most recent call last):
  File "/usr/lib/lsb/install_initd", line 3, in <module>
    import sys, re, os, initdutils
  File "/usr/lib/lsb/initdutils.py", line 18
    raise ValueError, 'need a file or string'
                    ^
SyntaxError: invalid syntax
done.

Login to leave a comment.